Package org.apache.sling.servlets.resolver.internal.resource

# Class ServletResourceProvider

java.lang.Object
org.apache.sling.spi.resource.provider.ResourceProvider<Object>
org.apache.sling.servlets.resolver.internal.resource.ServletResourceProvider

public class ServletResourceProvider extends org.apache.sling.spi.resource.provider.ResourceProvider<Object>

## Field Summary

### Fields inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`AUTH_ADMIN, AUTH_CLONE, AUTH_SERVICE_BUNDLE, AUTHENTICATE_LAZY, AUTHENTICATE_NO, AUTHENTICATE_REQUIRED, MODE_OVERLAY, MODE_PASSTHROUGH, PROPERTY_ADAPTABLE, PROPERTY_ATTRIBUTABLE, PROPERTY_AUTHENTICATE, PROPERTY_MODE, PROPERTY_MODIFIABLE, PROPERTY_NAME, PROPERTY_REFRESHABLE, PROPERTY_ROOT, PROPERTY_USE_RESOURCE_ACCESS_SECURITY, RESOURCE_TYPE_SYNTHETIC`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.Resource`
`getResource(org.apache.sling.spi.resource.provider.ResolveContext<Object> ctx, String path, org.apache.sling.spi.resource.provider.ResourceContext resourceContext, org.apache.sling.api.resource.Resource parent)`
`Iterator<org.apache.sling.api.resource.Resource>`
`listChildren(org.apache.sling.spi.resource.provider.ResolveContext<Object> ctx, org.apache.sling.api.resource.Resource parent)`
`String`
`toString()`
Return suitable info for logging

### Methods inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`adaptTo, authenticate, commit, copy, create, delete, getAttribute, getAttributeNames, getParent, getProviderContext, getQueryLanguageProvider, hasChanges, isLive, logout, move, orderBefore, refresh, revert, start, stop, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getResource

public org.apache.sling.api.resource.Resource getResource(org.apache.sling.spi.resource.provider.ResolveContext<Object> ctx, String path, org.apache.sling.spi.resource.provider.ResourceContext resourceContext, org.apache.sling.api.resource.Resource parent)

Specified by:
  `getResource` in class `org.apache.sling.spi.resource.provider.ResourceProvider<Object>`

### listChildren

public Iterator<org.apache.sling.api.resource.Resource> listChildren(org.apache.sling.spi.resource.provider.ResolveContext<Object> ctx, org.apache.sling.api.resource.Resource parent)

Specified by:
  `listChildren` in class `org.apache.sling.spi.resource.provider.ResourceProvider<Object>`

### toString

public String toString()
Return suitable info for logging

Overrides:
  `toString` in class `Object`